Subject: Re: bug#41043: ffmpeg 'depends' on qtbase

From: Efraim Flashner <[email-masked]>
Date: Mon, 4 May 2020 10:15:52 +0300

On Sun, May 03, 2020 at 02:31:35PM -0400, Leo Famulari wrote:
> On Sun, May 03, 2020 at 11:41:49AM +0300, Efraim Flashner wrote:
> > qtbase seems like a rather heavy dependency for ffmpeg. After looking
> > through 'guix graph ffmpeg'
> > 
> > qtbase -> extra-cmake-modules -> fcitx -> sdl2 -> ffmpeg
> > 
> > What does sdl2 bring to ffmpeg?
> > (on a similar note, what does it bring to u-boot?)
> > 'guix size ffmpeg'
> > with sdl2:    713.3 MiB
> > without sdl2: 699.2 MiB
> > 
> > https://ffmpeg.org/ffmpeg-devices.html#sdl
> 
> According to that page, "This output device allows one to show a video
> stream in an SDL window. Only one SDL window is allowed per application,
> so you can have only one instance of this output device in an
> application."
> 
> Personally, I think FFmpeg is useful because it does everything. It's
> supposed to be heavy. But maybe the dependency chain could be cut
> earlier, if that's important.  Although, I think most systems will
> include Qtbase for other reasons.

guix refresh -l sdl2: 355 packages
guix refresh -l ffmpeg: 154 packages
guix refresh -l qtbase: 768 packages
(with fcitx removed from sdl2)
guix refresh -l qtbase: 508

not enough to drop it into master for updates. I saw it mostly where it
comes to building on slow machines without substitutes. Since I'm
building without substitutes I'll probably make a change somewhere
locally.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted